[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragManager.DragStop

Ends dragging.

## Declaration

Source position: controls.pp line 649

`public procedure TDragManager.DragStop(`
`ADrop: Boolean`
`); virtual; abstract;`

## Arguments

`ADrop` |  | False when dragging was aborted.

## Description

The visual feedback is reset.

All related controls are notified of the outcome of the operation (drop, dock, abort).

Finally all temporary objects are destroyed.